const system = require("../../../system");
const ServiceBase = require("../../svems.base")
const settings = require("../../../../config/settings")
class MainService extends ServiceBase {
  constructor() {
    super();
  }

  async dics(params) {
    var rs = await this.callms("merchant", "mainDics", params || {});
    return rs;
  }

  async page(params) {
    var rs = await this.callms("merchant", "mainPage", params);
    return rs;
  }

  async save(params) {
    var rs = await this.callms("merchant", "mainSave", params);
    return rs;
  }

  async info(params) {
    var rs = await this.callms("merchant", "mainInfo", params);
    return rs;
  }

  async mapByIds(params) {
    var rs = await this.callms("merchant", "mainMapByIds", params);
    return rs;
  }
}
module.exports = MainService;